Package com.mckoi.database

## Interface DatabaseConstants

All Known Implementing Classes:
  `Database`

    public interface DatabaseConstants

Contant static values that determine several parameters of the database operation. It is important that a database data generated from a compilation from one set of constants is not used with the same database with different constants.

Author:
  Tobias Downer

### Field Summary

Fields
`static int` `MAX_DATABASE_NAME_LENGTH` The maximum length in characters of the string that represents the name of the database.
`static int` `MAX_PASSWORD_LENGTH` The maximum length in character of the string that holds a users password.
`static int` `MAX_PRIVGROUP_NAME_LENGTH` The maximum length in characters of the string that represents the name of a privaledge group.
`static int` `MAX_TABLE_NAME_LENGTH` The maximum length in characters of the string that holds the table name.
`static int` `MAX_USER_NAME_LENGTH` The maximum length in characters of the string that holds the user name.

### Field Detail

#### MAX_DATABASE_NAME_LENGTH

    static final int MAX_DATABASE_NAME_LENGTH

The maximum length in characters of the string that represents the name of the database.

See Also:
  Constant Field Values

#### MAX_PRIVGROUP_NAME_LENGTH

    static final int MAX_PRIVGROUP_NAME_LENGTH

The maximum length in characters of the string that represents the name of a privaledge group.

See Also:
  Constant Field Values

#### MAX_TABLE_NAME_LENGTH

    static final int MAX_TABLE_NAME_LENGTH

The maximum length in characters of the string that holds the table name. The table name is used to reference a Table object in a Database.

See Also:
  Constant Field Values

#### MAX_USER_NAME_LENGTH

    static final int MAX_USER_NAME_LENGTH

The maximum length in characters of the string that holds the user name. The user name is used in many security and priviledge operations.

See Also:
  Constant Field Values

#### MAX_PASSWORD_LENGTH

    static final int MAX_PASSWORD_LENGTH

The maximum length in character of the string that holds a users password. The password is used when logging into the database.

See Also:
  Constant Field Values